player_gripper_geom Struct Reference

Request/reply: get geometry. More...

`#include <player_interfaces.h>`

## Public Attributes

player_pose3d_t | pose
| Gripper pose, in robot cs (m, m, m, rad, rad, rad). More...
player_bbox3d_t | outer_size
| Outside dimensions of gripper (m, m, m). More...
player_bbox3d_t | inner_size
| Inside dimensions of gripper, i.e. More...
uint8_t | num_beams
| Number of breakbeams the gripper has.
uint8_t | capacity
| Capacity for storing objects - if 0, then the gripper can't store.

## Detailed Description

Request/reply: get geometry.

The geometry (pose, outer size and inner size) of the gripper device can be queried by sending a null PLAYER_GRIPPER_REQ_GET_GEOM request.

## Member Data Documentation

player_bbox3d_t player_gripper_geom::inner_size

Inside dimensions of gripper, i.e.

the size of the space between the fingers when they are fully open (m, m, m)

player_bbox3d_t player_gripper_geom::outer_size

Outside dimensions of gripper (m, m, m).

player_pose3d_t player_gripper_geom::pose

Gripper pose, in robot cs (m, m, m, rad, rad, rad).

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45